/**
 * 换算数据大小
 * @param {Number} size
 * @returns String
 */
export function conversionSize(size) {
  let _size = size;
  const units = ['B', 'KB', 'MB', 'GB'];
  let factor = 0;
  while (_size > 1024 && factor < units.length - 1) {
    _size /= 1024;
    factor += 1;
  }
  return `${_size.toFixed(2)}${units[factor]}`;
}

// 分割线
const type = {
  type: 'divider',
  property: {
    height: 40,
    type: 'solid',
  },
};

const data = {
  id: '1',
  background_image_url: 'https://file/1/1.jpg',
  background_position: {
    x: 0,
    y: 0,
    width: 100,
    height: 100,
  },
  // 组件列表
  component_list: [
    // 第一行
    [
      // 第一行第一列
      {
        id: '1-1',
        type: 'image',
        width: '100%',
        component_list: [],
      },
    ],
    // 第二行
    [
      // 第二行第一列
      {
        id: '2-1',
        type: 'video',
        width: '30%',
        component_list: [],
      },
      // 第二行第二列
      {
        id: '2-2',
        type: 'audio',
        width: '30%',
        component_list: [],
      },
      // 第二行第三列
      {
        id: '',
        type: '',
        width: '40%',
        // 组件列表
        component_list: [
          // 第二行第三列第一行
          [
            {
              id: '3-1',
              type: 'image',
            },
          ],
          // 第二行第三列第二行
          [
            {
              id: '3-2',
              type: 'video',
            },
          ],
        ],
      },
    ],
  ],
};
