// 组件混入
import ModuleBase from './ModuleBase.vue';

import { questionNumberTypeList } from '@/views/book/courseware/data/common';

const mixin = {
  data() {
    return {
      questionNumberTypeList,
    };
  },
  props: {
    id: {
      type: String,
      required: true,
    },
  },
  components: {
    ModuleBase,
  },
  provide() {
    return {
      showSetting: this.showSetting,
      id: this.id,
    };
  },
  created() {},
  methods: {
    /**
     * @description 显示设置
     */
    showSetting() {
      this.$emit('showSetting', this.data.setting, this.data.type, this.id);
    },
    /**
     * @description 更新属性
     * @param {object} setting 属性
     * @param {string} type 属性类型
     */
    updateSetting(setting) {
      this.data.setting = setting;
    },
  },
};

export default mixin;
