import DividerPage from '../create/components/base/divider/Divider.vue';
import DividerSetting from '../create/components/base/divider/DividerSetting.vue';
import SpacingPage from '../create/components/base/spacing/Spacing.vue';
import SpacingSetting from '../create/components/base/spacing/SpacingSetting.vue';
import AudioPage from '../create/components/base/audio/Audio.vue';
import AudioSetting from '../create/components/base/audio/AudioSetting.vue';

export const bookTypeOption = [
  {
    value: 'base',
    label: '基础组件',
    children: [
      {
        value: 'stem',
        label: '题干',
        icon: 'stem',
        component: '',
        // 设置页面
        set: '',
      },
      {
        value: 'describe',
        label: '描述',
        icon: 'describe',
        component: '',
        set: '',
      },
      {
        value: 'label',
        label: '标签',
        icon: 'label',
        component: '',
        set: '',
      },
      {
        value: 'audio',
        label: '音频',
        icon: 'audio',
        component: AudioPage,
        set: AudioSetting,
      },
      {
        value: 'video',
        label: '视频',
        icon: 'video',
        component: '',
        set: '',
      },
      {
        value: 'picture',
        label: '图片',
        icon: 'picture',
        component: '',
        set: '',
      },
      {
        value: 'divider',
        label: '分割线',
        icon: 'divider',
        component: DividerPage,
        set: DividerSetting,
      },
      {
        value: 'spacing',
        label: '间距',
        icon: 'spacing',
        component: SpacingPage,
        set: SpacingSetting,
      },
    ],
  },
  {
    value: 'question',
    label: '题型组件',
    children: [
      {
        value: 'select',
        label: '选择组件',
        icon: '',
        component: '',
        set: '',
      },
    ],
  },
];

// 组件列表
export const componentList = bookTypeOption
  .flatMap((item) => item.children)
  .reduce((prev, { value, component }) => ({ ...prev, [value]: component }), {});

// 组件设置列表
export const componentSettingList = bookTypeOption
  .flatMap((item) => item.children)
  .reduce((prev, { value, set }) => ({ ...prev, [value]: set }), {});

// 组件名称列表
export const componentNameList = bookTypeOption
  .flatMap((item) => item.children)
  .reduce((prev, { value, label }) => ({ ...prev, [value]: label }), {});
